aboutsummaryrefslogtreecommitdiffstats
path: root/extra/lm_sensors/sensord.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-20 15:35:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-20 15:35:57 +0000
commit539d2f79a031faf43d48506271ed8c0967a54ae7 (patch)
treec551b850e448bb8f152a87ba0e4c75c0610cdc83 /extra/lm_sensors/sensord.initd
parent482c9f9d91ac15d0406b46d459c77d45c77b4940 (diff)
extra/lm_sensors: new aport
Collection of user space tools for general SMBus access and hardware monitoring http://www.lm-sensors.org/
Diffstat (limited to 'extra/lm_sensors/sensord.initd')
-rw-r--r--extra/lm_sensors/sensord.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/extra/lm_sensors/sensord.initd b/extra/lm_sensors/sensord.initd
new file mode 100644
index 00000000000..cb99dce3f05
--- /dev/null
+++ b/extra/lm_sensors/sensord.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/lm_sensors/files/sensord-init.d,v 1.1 2007/05/17 07:31:41 phreak Exp $
+
+CONFIG=/etc/sensors.conf
+
+depend() {
+ need logger
+ use lm_sensors
+}
+
+checkconfig() {
+ if [ ! -f ${CONFIG} ]; then
+ eerror "Configuration file ${CONFIG} not found"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting sensord"
+ start-stop-daemon --start --exec /usr/sbin/sensord \
+ -- --config-file ${CONFIG} ${SENSORD_OPTIONS}
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping sensord"
+ start-stop-daemon --stop --pidfile /var/run/sensord.pid
+ eend ${?}
+}